﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace WordsFilter
{
    /// <summary>
    /// 测试代码运行时间帮组类
    /// </summary>
    public class OperationTimer : IDisposable
    {
        private string Text;
        private Int32 collectCount;
        private Stopwatch stopWatch;

        public OperationTimer(string txt)
        {
            PerpareForOperation();
            this.Text = txt;
            collectCount = GC.CollectionCount(0);
            stopWatch = new Stopwatch();
            stopWatch.Start();
        }

        public void Dispose()
        {
            stopWatch.Stop();
            Console.WriteLine("{0} {1} Milliseconds (GCs={2})",Text, stopWatch.ElapsedMilliseconds, GC.CollectionCount(0) - collectCount);
        }

        private static void PerpareForOperation()
        {
            GC.Collect();
            GC.WaitForPendingFinalizers();
            GC.Collect();
        }
    }
}
