﻿using System;
using System.IO;

namespace WordsFilter
{
    class Program
    {
        static void Main(string[] args)
        {
            using (new OperationTimer("用时(毫秒):"))
            {
                string keys = IOHelper.Read("words.txt").Replace("\r\n", "|");
                WordSearch ws = new WordSearch(keys);
                string str = IOHelper.Read("content.txt");
                string s= ws.Filter(str);
                Console.WriteLine(s);
            }
            Console.Read();
        }
    }

    public class IOHelper
    {
        private static bool Exists(string fileName)
        {
            if (fileName == null || fileName.Trim() == "")
            {
                return false;
            }

            if (File.Exists(fileName))
            {
                return true;
            }

            return false;
        }

        public static string Read(string fileName)
        {
            if (!Exists(fileName))
            {
                return null;
            }
            //将文件信息读入流中
            using (FileStream fs = new FileStream(fileName, FileMode.Open))
            {
                return new StreamReader(fs).ReadToEnd();
            }
        }
    }
}
